// TrayDnView.h : interface of the CTrayDnView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRAYDNVIEW_H__6E33789F_0A57_11D2_8093_00A0244236CD__INCLUDED_)
#define AFX_TRAYDNVIEW_H__6E33789F_0A57_11D2_8093_00A0244236CD__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "DnList.h"
#include "PisStock.h"
#include "LocalStock.h"
#include "psapi.h"
#include "ntqueryinformationprocess.h"

#define		IDC_LIST		10
#define		TRAYDN_TIMER	100

class CTrayDnView : public CView
{
protected: // create from serialization only
	CTrayDnView();
	DECLARE_DYNCREATE(CTrayDnView)

// Attributes
public:
	CTrayDnDoc* GetDocument();

	CDnList			m_list;
	CPisStock*		m_PisStock;
	CLocalStock*	m_LocalStock;
	CDatabase		m_db;

	LV_COLUMN		lvcolumn;
	LV_ITEM			lvitem;
// Operations
public:
	CString			m_ip;
	PHOSTENT		m_phostent;
	IN_ADDR			in_addr;
	char*			sTemp;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTrayDnView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	int CheckSystem();
	void DoIt(UINT nIDEvent);
	BOOL QueryProcessInformation(DWORD pid, PROCESSINFOCLASS infoEnum,
		void * pBuffer, unsigned cbBuffer );
	virtual ~CTrayDnView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CTrayDnView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in TrayDnView.cpp
inline CTrayDnDoc* CTrayDnView::GetDocument()
   { return (CTrayDnDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRAYDNVIEW_H__6E33789F_0A57_11D2_8093_00A0244236CD__INCLUDED_)
